# Alert Run Summary

*The Run Alerts Summary endpoint allows customers to trigger their all their configured alerts. This summary list all alerts configured and send via email the results based on the asset detections matches*

> **Note**: This endpoint does **not** require any request body parameters, as it automatically uses the `customer_id` from the authenticated token.

### Authentication

Include the following headers in your requests:

* `Access-Token`: The access token obtained from the "Create Access Token" endpoint.
* `x-api-key`: The API key provided by GenLogs. This header must be included in the request.

### Permissions

Make sure that your api user is created with a role that has `admin` or`run-summary-alert`  permission

### Endpoint

* **URL**: `https://api.genlogs.io/alerts/run`
* **Method**: `POST`

### Response Codes

* `200 OK`: Alert execution request successfully created.
* `400 Bad Request`: An error occurred while processing the alerts.
* `401 Unauthorized`: Authentication credentials are missing or incorrect.
* `403 Forbidden`: The user does not have permission to run alerts.
* `500 Internal Server Error`: An issue occurred on the server.

### Response Body

```json
{
  "message": "Alert execution request was created. You will receive an email soon with the result"
}
```

### Request Example

Using `curl`:

```bash
curl -X POST 'https://api.genlogs.io/alerts/run' \
-H 'Access-Token: {access_token}' \
-H 'x-api-key: {your_api_key}' \
-H 'Content-Type: application/json'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.genlogs.io/alerts/alert-run-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
